<?php
/**
 * Copyright (с) Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2022 All Rights Reserved
 *
 * Licensed under CLOUD LINUX LICENSE AGREEMENT
 * https://www.cloudlinux.com/legal/
 */

namespace CloudLinux\SmartAdvice\App\Views;

use CloudLinux\SmartAdvice\App\View;

/**
 * Admin
 */
class Admin extends View {
	/**
	 * Constructor.
	 */
	public function __construct() {
		add_action( 'admin_enqueue_scripts', array( $this, 'scripts' ) );
	}

	/**
	 * Scripts and styles.
	 *
	 * @param string $hook_suffix The current admin page.
	 *
	 * @return void
	 */
	public function scripts( $hook_suffix ) {
		wp_register_style( 'cl-smart-advice-admin', false, array(), CL_SMART_ADVICE_VERSION );

		$paths = array(
			CL_SMART_ADVICE_FOLDER_PATH . '/assets/admin.css',
			CL_SMART_ADVICE_FOLDER_PATH . '/assets/object-cache.css',
		);
		foreach ( $paths as $path ) {
			if ( is_readable( $path ) ) {
				// @phpcs:ignore WordPress.WP.AlternativeFunctions.file_get_contents_file_get_contents
				wp_add_inline_style( 'cl-smart-advice-admin', file_get_contents( $path ) );
				wp_enqueue_style( 'cl-smart-advice-admin' );
			}
		}

		$path = CL_SMART_ADVICE_FOLDER_PATH . '/assets/admin.js';
		if ( is_readable( $path ) ) {
			wp_register_script( 'cl-smart-advice-admin', false, array( 'jquery' ), CL_SMART_ADVICE_VERSION, true );
			wp_enqueue_script( 'cl-smart-advice-admin' );
			// @phpcs:ignore WordPress.WP.AlternativeFunctions.file_get_contents_file_get_contents
			wp_add_inline_script( 'cl-smart-advice-admin', file_get_contents( $path ) );
		}
	}
}

